{% set samplePicture = [
    {"breakpoint": "mobile-xs", "breakpointWidth": "320", "src": "./images/uploads/edito/sample01.jpg"},
    {"breakpoint": "desktop", "breakpointWidth": "1024", "src": "./images/uploads/edito/sample01@1,5x.jpg"}
] %}
{% macro picture( pictureDataset = samplePicture, pictureAlt = 'A sample alt. text', pictureClass = '' ) %}
<picture class="media--picture">
    {% for picture in pictureDataset | reverse %}
    <source srcset="{{ picture.src }}" media="(min-width: {{ picture.breakpointWidth }}px)" />
    {% endfor %}
    <img src="{{ pictureDataset[0].src }}" alt="{{ pictureAlt }}"{% if pictureClass != '' %} class="{{ pictureClass }}"{% endif %}>
</picture>
{% endmacro %}

{% macro videoBlock(videoMP4 = "./videos/sample.mp4", videoWebM = "./videos/sample.webm", videoPoster = "./images/uploads/edito/edito02@1,5x.jpg") %}
<div class="video--wrap">
    <video id="my-video" class="video-js" controls preload="auto" width="640" height="264" poster="{{ videoPoster }}" data-setup='{ "fluid": "true", "responsive": "true" }'>
        <source src="{{ videoMP4 }}" type="video/mp4">
        <source src="{{ videoWebM }}" type="video/webm">
        <p class="vjs-no-js"> To view this video please enable JavaScript, and consider upgrading to a web browser that <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a></p>
    </video>
</div>
{% endmacro %}

{% macro videoBlockYoutube(source = "https://www.youtube.com/watch?v=F-wxBRPFvm4") %}
<div class="video--wrap">
    <video id="my-video" class="video-js" controls preload="auto" width="640" height="264" data-setup='{ "fluid": "true", "responsive": "true", "techOrder": ["youtube"], "sources": [{ "type": "video/youtube", "src": "https://www.youtube.com/watch?v=F-wxBRPFvm4"}] }'>
        <p class="vjs-no-js"> To view this video please enable JavaScript, and consider upgrading to a web browser that <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a></p>
    </video>
</div>
{% endmacro %}